Summary: Tool for manipulating EXIF data embedded in JPEG images
Name: jhead
Version: 3.06.0.1
Release: 1%{?dist}
License: Public Domain
Group: Applications/Multimedia
URL: https://www.sentex.ca/~mwandel/jhead/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://codeload.github.com/Matthias-Wandel/jhead/tar.gz/refs/tags/%{version}#/jhead-%{version}.tar.gz
Patch0: https://src.fedoraproject.org/rpms/jhead/raw/rawhide/f/almost-57.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Jhead displays and manipulates the non-image portions of EXIF formatted
JPEG images, such as the images produced by most digital cameras.

%prep
%setup -q
%patch0 -p1 -b .almost-57

%build
%{__make} CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 0755 -p %{name} %{buildroot}%{_bindir}/
%{__install} -m 0644 -p %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc changes.txt usage.html readme.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Oct 27 2022 Simon Matter <simon.matter@invoca.ch> 3.06.0.1-1
- upgrade to 3.06.0.1

* Tue Apr 21 2020 Simon Matter <simon.matter@invoca.ch> 3.04-1
- upgrade to 3.04

* Tue Feb 17 2015 Simon Matter <simon.matter@invoca.ch> 3.00-1
- upgrade to 3.00

* Mon Mar 11 2013 Simon Matter <simon.matter@invoca.ch> 2.97-1
- upgrade to 2.97

* Tue Jun 26 2012 Simon Matter <simon.matter@invoca.ch> 2.96-1
- upgrade to 2.96

* Tue Mar 20 2012 Simon Matter <simon.matter@invoca.ch> 2.95-1
- upgrade to 2.95

* Fri Dec 30 2011 Simon Matter <simon.matter@invoca.ch> 2.93-1
- upgrade to 2.93

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 2.90-2
- mass rebuild

* Mon Mar 15 2010 Simon Matter <simon.matter@invoca.ch> 2.90-1
- initial build
